DSA_GET_EX_NEW_INDEX(3)

NAME
DSA_get_ex_new_index, DSA_set_ex_data, DSA_get_ex_data - add application specific data to DSA structures

SYNOPSIS
libcrypto
#include <openssl/dsa.h>
int
DSA_get_ex_new_index(long argl, void *argp, CRYPTO_EX_new *new_func, CRYPTO_EX_dup *dup_func, CRYPTO_EX_free *free_func);
int
DSA_set_ex_data(DSA *d, int idx, void *arg);
char *
DSA_get_ex_data(DSA *d, int idx);

DESCRIPTION
These functions handle application specific data in DSA structures. Their usage is identical to that of RSA_get_ex_new_index(3), RSA_set_ex_data(3), and RSA_get_ex_data(3).

SEE ALSO
DSA_new(3), RSA_get_ex_new_index(3)

HISTORY
DSA_get_ex_new_index(), DSA_set_ex_data(), and DSA_get_ex_data() first appeared in OpenSSL 0.9.5 and have been available since OpenBSD 2.7.